Name:		clustal-omega
Version:	1.2.1
Release:	2%{?dist}
Summary:	Clustal Omega is a command-line multiple sequence alignment tool

License:	GPLv2+
URL:		http://www.clustal.org/omega/clustal-omega-1.2.0.tar.gz
Source0:	http://www.clustal.org/omega/%{name}-%{version}.tar.gz

BuildRequires:	argtable-devel

# bundled library exception provided by FPC
# https://fedorahosted.org/fpc/ticket/399
Provides:	bundled(squid) = 1.9

%description
Clustal Omega is a command-line multiple sequence alignment tool.
The tool is widely used in molecular biology for multiple alignment of
both nucleic acid and protein sequences. Clustal Omega is the latest version
in the clustal tools for the sequence alignment.

%package devel
Summary:	Development files for Clustal Omega
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Development package for Clustal Omega

%prep
%setup -q
sed -i 's/\r$//' README
sed -i 's/mktemp/mkstemp/g' src/clustal-omega.c
# disable -O3 compiler flags
sed -i 's/\${AM_CFLAGS} -O3/${AM_CFLAGS}/g' configure
sed -i 's/\${AM_CXXFLAGS} -O3/${AM_CXXFLAGS}/g' configure

%build
export CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" LDFLAGS="%{optflags}"
%configure --disable-static
make V=1 %{?_smp_mflags}

%install
%make_install
# removing libtool generated static libs
rm -f %{buildroot}%{_libdir}/libclustalo.la %{buildroot}%{_libdir}/libclustalo.a

%files
%doc COPYING README
%{_bindir}/clustalo

%files devel
%{_libdir}/pkgconfig/clustalo.pc
%{_includedir}/clustalo/

%changelog
* Sat May 17 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.2.1-2
- Fixed errors pointed out in package review
- removed dir ownership of /usr/lib64/pkgconfig
- used correct compiler flags

* Thu Mar 6 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.2.1-1
- Updated to latest upstream version
- Fixed spec file errors

* Fri Jan 24 2014 nonamedotc <nonamedotc@fedoraproject.org> - 1.2.0-1
- Changed package description, fixed links to sources

* Thu Jan 16 2014 nonamedotc <nonamedotc@fedoraproject.org> - 1.2.0-1
- First build of clustal omega
